/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import com.HotelServices.model.dto.EtelDTO;
import com.HotelServices.model.dto.impl.SzakacsDAOImpl;
import java.io.*;
import java.net.*;

import java.util.LinkedList;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Sensei
 */
public class SzakacsServlet extends HttpServlet {

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            if (request.getParameter("menukiir") != null && request.getParameter("menukiir").equals("Kiir")) {
                if (request.getParameter("eloetel_A").length() > 0 && request.getParameter("eloetel_B").length() > 0 && request.getParameter("foetel_A").length() > 0 && request.getParameter("foetel_B").length() > 0 && request.getParameter("desszert_A").length() > 0 && request.getParameter("desszert_B").length() > 0) {
                    boolean seged = new SzakacsDAOImpl().menuKiir(request.getParameter("eloetel_A"), request.getParameter("foetel_A"), request.getParameter("desszert_A"), request.getParameter("eloetel_B"), request.getParameter("foetel_B"), request.getParameter("desszert_B"), request.getParameter("napok"), (String) request.getSession().getAttribute("fnev"));
                    if (seged) {
                        response.sendRedirect("siker01.jsp");
                    } else {
                        response.sendRedirect("hiba02.jsp");
                    }
                }
            }
            if (request.getParameter("lista") != null && request.getParameter("lista").equals("Listaz")) {
                LinkedList<EtelDTO> ll = new LinkedList<EtelDTO>();
                ll = new SzakacsDAOImpl().menuk();
                request.getSession().setAttribute("menulista", ll);
                response.sendRedirect("szakacs_menu_torles.jsp");
            }

        } finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
